<?php
/**********************************************************************************
* Userlogin.php                                                                       						   
***********************************************************************************                          					
* Edited by:		Snakehit (snakehit (at) gmail.com)   
* Date: 		17/09/2007						
***********************************************************************************/

	// Check if MediaWiki exists, else hacking attempt
	if(!defined('MEDIAWIKI')) 
		die(-1);

	//Require te SkinTemplate
	require_once( 'includes/SkinTemplate.php' );
	
	
	/**
	 * HTML template for Special:Userlogin form
	 * @addtogroup Templates
	*/
	class UserloginTemplate extends QuickTemplate {
		
		function execute() {
			global $smf_user_info, $smf_settings;
			echo '<p>Please login at <a href="', $smf_settings['forum_url'] ,'/">with your forum username</a> or <a href="', $smf_settings['forum_url'] ,'/index.php?action=register">Register here</a> your account</p>';
			
			global $wgUseWikiLogin;
			if ($wgUseWikiLogin) {
				if($this->data['message']) {
					echo '
					<div class="', $this->text('messagetype') ,'box">';
						if ($this->data['messagetype'] == 'error') { 
							echo '<h2>', $this->msg('loginerror') ,':</h2>';
						} 
						echo '', $this->html('message') ,'
						nosuchuser
					</div>
					<div class="visualClear"></div>';
				} 
			
				echo '
				<div id="userloginForm">
					<form name="userlogin" method="post" action="', $this->text('action') ,'">
						<h2>', $this->msg('login') ,'</h2>
						<p id="userloginlink">', $this->html('link') ,'</p>
						', $this->html('header') ,'
						<div id="userloginprompt">', $this->msgWiki('loginprompt') ,'</div>';
						if( @$this->haveData('languages')) { 
							echo '
							<div id="languagelinks">
								<p>', $this->html( 'languages' ) ,'</p>
							</div>';
						}
						
						echo '
						<table>
							<tr>
								<td align="right"><label for="wpName1">', $this->msg('yourname') ,'</label></td>
								<td align="left">
									<input type="text" class="loginText" name="wpName" id="wpName1" tabindex="1" value="" size="20" />
								</td>
							</tr>
							<tr>
								<td align="right"><label for="wpPassword1">', $this->msg('yourpassword') ,'</label></td>
								<td align="left">
									<input type="password" class="loginPassword" name="wpPassword" id="wpPassword1" tabindex="2" value="" size="20" />
								</td>
							</tr>';
						if($this->data['usedomain']) {
							$doms = "";
							foreach($this->data['domainnames'] as $dom) {
								$doms .= "<option>" . htmlspecialchars($dom) . "</option>";
							}
							
							echo '
							<tr>
								<td align="right">', $this->msg('yourdomainname') ,'</td>
								<td align="left">
									<select name="wpDomain" value="', $this->text('domain') ,'" tabindex="3">
										', $doms ,'
									</select>
								</td>
							</tr>';
						} 
							echo '
							<tr>
								<td></td>
								<td align="left">
									<input type="checkbox" name="wpRemember" tabindex="4" value="1" id="wpRemember"', $this->data['remember'] ? 'checked="checked" />' : ' />';	
									echo 
									'<label for="wpRemember">', $this->msg('remembermypassword'),' </label>
								</td>
							</tr>
							<tr>
								<td></td>
								<td align="left" style="white-space:nowrap">
									<input type="submit" name="wpLoginattempt" id="wpLoginattempt" tabindex="5" value="', $this->msg('login') ,'" />&nbsp;';
									if($this->data['useemail'] && $this->data['canreset']) { 
										echo '
										<input type="submit" name="wpMailmypassword" id="wpMailmypassword" tabindex="6" value="', $this->msg('mailmypassword') ,'" />';
									} 
								echo'
								</td>
							</tr>
						</table>';
						if(@$this->haveData('uselang')) echo '<input type="hidden" name="uselang" value="', $this->text('uselang') ,'" />';
				echo '
					</form>
				</div>';
			}
			echo '
			<div id="loginend">', $this->msgWiki('loginend') ,'</div>';
		}
	}

	
	
	/**
	 * @addtogroup Templates
	 *
	 * In our extension it isn't possible to add Users, so we disable this part of the code!
	 *
	 */
	 
	
	class UsercreateTemplate extends QuickTemplate {
		function execute() {
		 /*
			if($this->data['message']) {
			echo '
				<div class="', $this->text('messagetype') ,'box">';
					if ($this->data['messagetype'] == 'error') {
						echo '<h2>', $this->msg('loginerror') ,':</h2>';
					}
					echo '', $this->html('message') ,'
				</div>
				<div class="visualClear"></div>';
			} 
			echo '
			<div id="userlogin">
				<form name="userlogin2" id="userlogin2" method="post" action="', $this->text('action') ,'">
					<h2>', $this->msg('createaccount') ,'</h2>
					<p id="userloginlink">', $this->html('link') ,'</p>
					', $this->html('header') ,'';
					
					if(@$this->haveData('languages')) { 
						echo '
						<div id="languagelinks">
							<p>',  $this->html('languages') ,'</p>
						</div>';
					} 
					echo '
					<table>
						<tr>
							<td align="right"><label for="wpName2">', $this->msg('yourname') ,'</label></td>
							<td align="left">
								<input type="text" class="loginText" name="wpName" id="wpName2" tabindex="1" value="', $this->text('name') ,'" size"="20" />
							</td>
						</tr>
						<tr>
							<td align="right"><label for="wpPassword2">', $this->msg('yourpassword') ,'</label></td>
							<td align="left">
								<input type="password" class="loginPassword" name="wpPassword" id="wpPassword2" tabindex="2" value="" size="20" />
							</td>
						</tr>';
					if($this->data['usedomain']) {
						$doms = "";
						foreach( $this->data['domainnames'] as $dom ) {
							$doms .= "<option>" . htmlspecialchars( $dom ) . "</option>";
						}
					
						echo '
						<tr>
							<td align="right">', $this->msg('yourdomainname') ,'</td>
							<td align="left">
								<select name="wpDomain" value="', $this->text('domain') ,'" tabindex="3">
									', $doms ,'
								</select>
							</td>
						</tr>';
					}
						echo '
						<tr>
							<td align="right"><label for="wpRetype">', $this->msg('yourpasswordagain') ,'</label></td>
							<td align="left">
								<input type="password" class="loginPassword" name="wpRetype" id="wpRetype" tabindex="4" value="" size="20" />
							</td>
						</tr>
						
						<tr>';
							if($this->data['useemail']) {
								echo '
								<td align="right" style="vertical-align: top"><label for="wpEmail">', $this->msg('youremail') ,'</label></td>
								<td align="left">
									<input type="text" class="loginText" name="wpEmail" id="wpEmail"
										tabindex="5"
										value="', $this->text('email') ,'" size="20" />
									<div class="prefsectiontip">
										', $this->msgWiki('prefs-help-email') ,'
									</div>
								</td>';
							}
							if($this->data['userealname']) {
								echo '
								</tr>
								<tr>
									<td align="right" style="vertical-align: top"><label for="wpRealName">', $this->msg('yourrealname') ,'</label></td>
									<td align="left">
										<input type="text" class="loginText" name="wpRealName" id="wpRealName"
											tabindex="6"
											value="', $this->text('realname') ,'" size="20" />
										<div class="prefsectiontip">
											', $this->msgWiki('prefs-help-realname') ,'
										</div>
									</td>';
							}
						echo '
						</tr>
						<tr>
							<td></td>
							<td align="left">
								<input type="checkbox" name="wpRemember"
									tabindex="7"
									value="1" id="wpRemember"';
									if($this->data['remember']) { 
										echo 'checked="checked"';
									} 
									echo '/> <label for="wpRemember">', $this->msg('remembermypassword') ,'</label>
							</td>
						</tr>
						<tr>
							<td></td>
							<td align="left">
								<input type="submit" name="wpCreateaccount" id="wpCreateaccount" tabindex="8" value="', $this->msg('createaccount') ,'" />';
								if($this->data['createemail']) { 
									echo'
									<input type="submit" name="wpCreateaccountMail" id="wpCreateaccountMail" tabindex="9" value="', $this->msg('createaccountmail') ,'" />';
								} 
							echo '
							</td>
						</tr>
					</table>';
				if(@$this->haveData('uselang'))
					echo '<input type="hidden" name="uselang" value="', $this->text('uselang') ,'" />';
				
				echo '
				</form>
			</div>
			<div id="signupend">', $this->msgWiki( 'signupend' ) ,'</div>';
			*/
		}
	}
	
?>
